function [key, rt] = csfMRI_getResponseSerial(serialPointer, start, timeOut)

	t      = 0;
	press  = [];
    
    yesKey = 49;
    noKey  = 50;

    while (t <= timeOut)
        
        t = GetSecs - start;
        
        while ((press ~= yesKey) && (press ~= noKey))
            
            t = GetSecs - start;
            
            if (t < timeOut)
                
                set(serialPointer, 'Timeout', timeOut - t);
             	press   = fread(serialPointer, 1, 'char');
             	rt      = GetSecs - start;
            
            else
                
                break;
            
            end
            
        end
        
    end
    
    switch press 
        
        case yesKey
        
            key = 1;
    
        case noKey
        
            key = 2;
    
        otherwise
        
            key = 0;
            rt  = Inf;
    
    end
    
end